# Method: projects.locations.dnsBindPermission.grant

- [HTTP request](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.dnsBindPermission/grant#body.aspect)

Grants the bind permission to the customer provided principal(user / service account) to bind their DNS zone with the intranet VPC associated with the project. DnsBindPermission is a global resource and location can only be global.

### HTTP request

`POST https://vmwareengine.googleapis.com/v1/{name=projects/*/locations/*/dnsBindPermission}:grant`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the resource which stores the users/service accounts having the permission to bind to the corresponding intranet VPC of the consumer project. DnsBindPermission is a global resource. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/global/dnsBindPermission` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `vmwareengine.dnBindPermission.grant` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "principal": { object (`https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/Principal`) }, "requestId": string } ``` |

| Fields ||
|---|---|
| `principal` | ``object (`https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/Principal`)`` Required. The consumer provided user/service account which needs to be granted permission to bind with the intranet VPC corresponding to the consumer project. |
| `requestId` | `string` Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server guarantees that a request doesn't result in creation of duplicate commitments for at least 60 minutes. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vmware-engine/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).